Skip to main content
GET
/
maintenance
/
service-tasks
Gets service tasks.
curl --request GET \
  --url https://api.samsara.com/maintenance/service-tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "abf63a9a-4d75-423d-b49f-38a071e6ce36",
      "name": "Oil Change",
      "category": "Engine",
      "description": "Standard oil change service including filter replacement.",
      "estimatedLaborTimeMinutes": 30,
      "estimatedPartsCost": {
        "amount": "94.01",
        "currency": "usd"
      },
      "subcategory": "Oil and Lubrication"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids
string[]

Filter by the IDs. If not provided, won't filter by id.

includeArchived
boolean

Include archived service task definitions.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

Service Task Definitions

pagination
object
required

Pagination parameters.